<?php

namespace Modules\MainService\Enums;


Enum ViewEnum: string
{
    case LIST = 'list';

    case GRID = 'grid';

    case KANBAN = 'kanban';

    case FORM = 'form';

    case INDEX = 'index';

    case CREATE = 'create';

    case EDIT = 'edit';

    case SHOW = 'show';

    public static function values()
    {
        return array_column(SELF::cases(),'value');
    }
}
